Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1043705 - [RFE][nova]: remove-periodic-heal-network
Summary: [RFE][nova]: remove-periodic-heal-network
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: RFEs
Version: unspecified
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: ---
: ---
Assignee: RHOS Maint
QA Contact: Ami Jeain
URL: https://blueprints.launchpad.net/nova...
Whiteboard: upstream_milestone_none upstream_stat...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-17 00:43 UTC by RHOS Integration
Modified: 2019-09-09 15:09 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-19 17:19:28 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description RHOS Integration 2013-12-17 00:43:58 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/nova/+spec/remove-perodic-heal-network.

Description:

Currently nova returns cached data for network resources. This is annoying for users because if you associate a floating ip via the neutron api it could take a very long time for the cache to be updated with the floatingip that the instance has. Instead of reading these values from the cache it would make sense to query neutron directly.  Doing this would allow us to remove the constant polling that all of the nova-compute nodes do on neutron to update their cache.

Note: we'll still need the network cache to keep track of nic ordering on the instance (and update it when new interfaces are added and removed). 

Specification URL (additional information):

None


Note You need to log in before you can comment on or make changes to this bug.